Subject: RE: bug#29360: Add full-buffer choice for `isearch-lazy-highlight'

From: Drew Adams <[email-masked]>
Date: Sun, 28 Oct 2018 15:57:21 -0700 (PDT)

> >> I guess that since your patch to the bug thread you just renamed
> >> isearch-lazy-highlight-buffer to lazy-highlight-buffer and you
> >> renamed isearch-lazy-highlight-buffer-p to
> >> isearch-lazy-highlight-buffer.
> 
> I renamed isearch-lazy-highlight-buffer to lazy-highlight-buffer
> after realizing that the same feature might be needed also in
> query-replace, therefore generalized it by removing the prefix
> isearch-.

Yes, I figured that.

> > Hm.  Seems like you also removed `isearch-lazy-highlight-match-
> function',
> > which was present in your patches.  Why is that?  I know that you
> > you used only `isearch-lazy-highlight-match' as the value, but did
> > you have something else in mind for it?  Can I expect that you will
> > add back that variable?
> 
> I strive to keep my changes as minimal as possible to not introduce
> unused variables.  However, if you can demonstrate a real need
> we could add it when necessary.

I'm OK with all that you've done.  I may leave the variable
in my code, probably only out of laziness to remove it. ;-)

Thanks for your work on this.